#### Previous topic

scipy.spatial.distance.dice

#### Next topic

scipy.spatial.distance.hamming

# scipy.spatial.distance.euclidean

`scipy.spatial.distance.``euclidean`(u, v)

  Computes the Euclidean distance between two 1-D arrays.

  The Euclidean distance between 1-D arrays u and v, is defined as

  \[{||u-v||}_2\]

  Parameters:

  u : (N,) array_like

  > Input array.

  v : (N,) array_like

  > Input array.

  Returns:

  euclidean : double

  > The Euclidean distance between vectors u and v.